# Cinder

# cinder::audio::Callback Class Reference

`#include <Callback.h>`

List of all members.

## Classes
struct | Obj
## Public Member Functions
| Callback ()
| Callback (CallbackFunction aCallback, uint32_t aSampleRate=44100, uint16_t aChannelCount=2, uint16_t aBitsPerSample=32, uint16_t aBlockAlign=8)
| ~Callback ()
| operator SourceRef () const
uint32_t | getSampleRate () const
uint16_t | getChannelCount () const
uint16_t | getBitsPerSample () const
uint16_t | getBlockAlign () const
## Friends
class | SourceCallback
typedef shared_ptr< Obj > Callback::* | unspecified_bool_type
| Emulates shared_ptr-like behavior.
| Callback (const Callback &other)
| Emulates shared_ptr-like behavior.
Callback & | operator= (const Callback &other)
| Emulates shared_ptr-like behavior.
bool | operator== (const Callback &other)
| Emulates shared_ptr-like behavior.
| operator unspecified_bool_type ()
| Emulates shared_ptr-like behavior.
void | reset ()
| Emulates shared_ptr-like behavior.

## Member Typedef Documentation

typedef shared_ptr<Obj> Callback::* cinder::audio::Callback::unspecified_bool_type

Emulates shared_ptr-like behavior.

## Constructor & Destructor Documentation

cinder::audio::Callback::Callback | ( |  | ) |

cinder::audio::Callback::Callback | ( | CallbackFunction | aCallback,
|  | uint32_t | aSampleRate = `44100`,
|  | uint16_t | aChannelCount = `2`,
|  | uint16_t | aBitsPerSample = `32`,
|  | uint16_t | aBlockAlign = `8` |
| ) |  |  |

cinder::audio::Callback::~Callback | ( |  | ) |

cinder::audio::Callback::Callback | ( | const Callback & | other | ) |

Emulates shared_ptr-like behavior.

## Member Function Documentation

cinder::audio::Callback::operator SourceRef | ( |  | ) | const

uint32_t cinder::audio::Callback::getSampleRate | ( |  | ) | const

uint16_t cinder::audio::Callback::getChannelCount | ( |  | ) | const

uint16_t cinder::audio::Callback::getBitsPerSample | ( |  | ) | const

uint16_t cinder::audio::Callback::getBlockAlign | ( |  | ) | const

Callback& cinder::audio::Callback::operator= | ( | const Callback & | other | ) |

Emulates shared_ptr-like behavior.

bool cinder::audio::Callback::operator== | ( | const Callback & | other | ) |

Emulates shared_ptr-like behavior.

cinder::audio::Callback::operator unspecified_bool_type | ( |  | ) |

Emulates shared_ptr-like behavior.

void cinder::audio::Callback::reset | ( |  | ) |

Emulates shared_ptr-like behavior.

## Friends And Related Function Documentation

friend class SourceCallback`[friend]`

The documentation for this class was generated from the following files:

- include/cinder/audio/Callback.h
- src/cinder/audio/Callback.cpp